package de.jottyfan.timetrack.modules.done.fullcalendar;

import java.util.Date;

/**
 * 
 * @author henkej
 *
 */
public class ColorfulFCEventBean extends FCEventBean {
	private static final long serialVersionUID = 1L;
	private final String textColor;
	private String billing;
	private String project;
	private String module;
	private String job;

	public ColorfulFCEventBean(String title, Date start, String textColor) {
		super(title, start);
		this.textColor = textColor;
	}

	@Override
	public String getExtendedFields() {
		StringBuilder buf = new StringBuilder();
		addParam(buf, "textColor", textColor);
		addParam(buf, "billing", billing);
		addParam(buf, "project", project);
		addParam(buf, "module", module);
		addParam(buf, "job", job);
		return buf.toString();
	}

	/**
	 * @return the billing
	 */
	public String getBilling() {
		return billing;
	}

	/**
	 * @param billing the billing to set
	 */
	public void setBilling(String billing) {
		this.billing = billing;
	}

	/**
	 * @return the project
	 */
	public String getProject() {
		return project;
	}

	/**
	 * @param project the project to set
	 */
	public void setProject(String project) {
		this.project = project;
	}

	/**
	 * @return the module
	 */
	public String getModule() {
		return module;
	}

	/**
	 * @param module the module to set
	 */
	public void setModule(String module) {
		this.module = module;
	}

	/**
	 * @return the job
	 */
	public String getJob() {
		return job;
	}

	/**
	 * @param job the job to set
	 */
	public void setJob(String job) {
		this.job = job;
	}
}
